Bug 1023 - RFC 868 time requests using UDP fail
RFC 868 time requests using UDP fail
Status: CLOSED DUPLICATE of bug 891
Product: Red Hat Linux
Classification: Retired
Component: netkit-base (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-01 21:57 EST by peterg
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-02-02 09:35:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description peterg 1999-02-01 21:57:05 EST
UDP time requests to RH Linux systems (including 4.2, 5.0
and 5.1) fail. The symptoms are that no time is returned and
inetd reports "time/udp server failing (looping), service
terminated".

This turns out to be due to an error in inetd.conf.  The
time daemon in.timed is not suitable for handling udp
requests; however inetd provides an internal handler.
Therefore replacing the line:
time   dgram   udp     wait    nobody  /usr/sbin/tcpd
in.timed
with:
time    dgram   udp     wait    root    internal

gives the correct behaviour.

Peter
Comment 1 Aleksey Nogin 1999-02-02 01:49:59 EST
This is a duplicate of the report #891
Comment 2 Jeff Johnson 1999-02-02 09:35:59 EST
*** This bug has been marked as a duplicate of 891 ***

Note You need to log in before you can comment on or make changes to this bug.